package com.tarena.oss.account.service;

import java.util.Collection;

import com.tarena.oss.account.dao.AccountMgmtDAO;
import com.tarena.oss.account.pojo.Detaildays;
import com.tarena.oss.account.pojo.Detailmonths;
import com.tarena.oss.account.pojo.Detailyears;
import com.tarena.oss.pricing.dao.PricingMgmtDAO;


public class AccountMgmtServiceImp implements AccountMgmtService{
	private AccountMgmtDAO dao;
	
	
	
	public void setDao(AccountMgmtDAO dao) {
		this.dao = dao;
	}

	public Collection<Detaildays> findAccountByDate(String labip,String year,String month) {
		
		return dao.queryAccountByDate(labip,year,month);
	}

	public Collection<Detailmonths> findAccountByMonth() {
		return dao.queryAccountByMonth();
	}
	public Collection<Detailmonths> findAccountByMonth(String labip,String year) {
		return dao.queryAccountByMonth(labip,year);
	}
	
	public Collection<Detailmonths> findAccountByMonthfor(String year, String month) {
		
		return dao.queryAccountByMonthfor(year, month);
	}
	
	
	public Collection<Detailyears> findAccountByYear() {
	
		return dao.queryAccountByYear();
	}
	public Collection<Detailyears> findAccountByYear(String year) {
		return dao.queryAccountByYear(year);
	}
	public int findDateCnt() {
		
		return dao.queryDateCnt();
	}

	public int findDateCnt(String cond) {
		return dao.queryDateCnt(cond);
	}

	public int findMonthCnt() {
		
		return dao.queryMonthCnt();
	}

	public int findMonthCnt(String cond) {
		
		return dao.queryMonthCnt(cond);
	}

	public int findYearCnt() {
	
		return dao.queryYearCnt();
	}

	public int findYearCnt(String cond) {
		
		return dao.queryYearCnt(cond);
	}

	

	

	
	

}
